LinuxMint18.3: Renaming track causes clips to move

Having trouble with LMMS? Ask about it here.
This bug made me laugh, to be honest. No idea how this happened. Never seen it before.

https://youtu.be/6WAWZms4pF0

Not a big issue at all. Just want to share this, maybe someone can figure it out.
millicow wrote:
Thu Dec 05, 2019 1:00 am
This bug made me laugh, to be honest. No idea how this happened. Never seen it before.

https://youtu.be/6WAWZms4pF0

Not a big issue at all. Just want to share this, maybe someone can figure it out.
Cant reproduce. What OS are you on?
I'm on Linux Mint 18.3. It must be a very specific bug because I've never had this happen before.
millicow wrote:
Thu Dec 05, 2019 5:06 pm
I'm on Linux Mint 18.3. It must be a very specific bug because I've never had this happen before.
I think.. restart pc?
If anyone reading this has the same issue, please let us know! ESPECIALLY if it can happen on other linux distros, but if it happens, tell us
If I don't forget, I should be able to test this.

Looks funny.
millicow wrote:
Thu Dec 05, 2019 1:00 am
This bug made me laugh, to be honest. No idea how this happened. Never seen it before.

https://youtu.be/6WAWZms4pF0

Not a big issue at all. Just want to share this, maybe someone can figure it out.
That is weird. I'm on Debian Testing and PCLinuxOS, and haven't seen anything like that on either.
I noticed though that in the frame for the window it says you're running LMMS 1.2.0 and I'm not sure that would have anything to do with it, but 1.2.1 is out now also as a Linux AppImage so give that a try. You can copy the AppImage into your LMMS folder and start it as normal and see, worst case scenario is you'll need to re-map your tracks to the folders your VSTs are in and load presets. There's no issue with keeping both images so you can always open and instance of each to cross-reference if something doesn't transfer in your settings on the newer version.
Mr. Lumbergh wrote:
Sat Dec 07, 2019 9:51 pm

I noticed though that in the frame for the window it says you're running LMMS 1.2.0
good spot!


@millicow » You should update!